RDKit: RDKit::TautomerPatternHolder Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::TautomerPatternHolder Class Reference

`#include <SubstructLibrary.h>`

Inheritance diagram for RDKit::TautomerPatternHolder:

## Public Member Functions
| TautomerPatternHolder ()
| TautomerPatternHolder (unsigned int numBits)
ExplicitBitVect * | makeFingerprint (const ROMol &m) const override
| Caller owns the vector!
Public Member Functions inherited from RDKit::PatternHolder
| PatternHolder ()
| PatternHolder (unsigned int numBits)
const unsigned int & | getNumBits () const
unsigned int & | getNumBits ()
Public Member Functions inherited from RDKit::FPHolderBase
virtual | ~FPHolderBase ()
virtual unsigned int | size () const
unsigned int | addMol (const ROMol &m)
| Adds a molecule to the fingerprinter.
unsigned int | addFingerprint (ExplicitBitVect *v)
unsigned int | addFingerprint (const ExplicitBitVect &v)
bool | passesFilter (unsigned int idx, const ExplicitBitVect &query) const
| Return false if a substructure search can never match the molecule.
const ExplicitBitVect & | getFingerprint (unsigned int idx) const
std::vector< ExplicitBitVect * > & | getFingerprints ()
const std::vector< ExplicitBitVect * > & | getFingerprints () const

## Additional Inherited Members
Static Public Member Functions inherited from RDKit::PatternHolder
static unsigned int | defaultNumBits ()

## Detailed Description

Definition at line 337 of file SubstructLibrary.h.

## Constructor & Destructor Documentation

## ◆ TautomerPatternHolder() [1/2]

RDKit::TautomerPatternHolder::TautomerPatternHolder | ( |  | ) |
| inline

Definition at line 340 of file SubstructLibrary.h.

References RDKit::PatternHolder::PatternHolder().

## ◆ TautomerPatternHolder() [2/2]

RDKit::TautomerPatternHolder::TautomerPatternHolder | ( | unsigned int | numBits | ) |
| inline

Definition at line 341 of file SubstructLibrary.h.

References RDKit::PatternHolder::PatternHolder().

## Member Function Documentation

## ◆ makeFingerprint()

ExplicitBitVect * RDKit::TautomerPatternHolder::makeFingerprint | ( | const ROMol & | m | ) | const
| inlineoverridevirtual

Caller owns the vector!

Reimplemented from RDKit::PatternHolder.

Definition at line 342 of file SubstructLibrary.h.

References RDKit::PatternHolder::getNumBits(), and RDKit::PatternFingerprintMol().

The documentation for this class was generated from the following file:

- SubstructLibrary.h